Bug 1442768 - Rhev inventory refresh fails after rhev upgrade from 3.6 to 4.0
Summary: Rhev inventory refresh fails after rhev upgrade from 3.6 to 4.0
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Red Hat CloudForms Management Engine
Classification: Red Hat
Component: Providers
Version: 5.7.0
Hardware: All
OS: All
high
medium
Target Milestone: GA
: 5.8.0
Assignee: Juan Hernández
QA Contact: Ilanit Stein
URL:
Whiteboard: rhev:ems_refresh
Depends On: 1427653
Blocks:
TreeView+ depends on / blocked
 
Reported: 2017-04-17 13:01 UTC by Satoe Imaishi
Modified: 2020-07-16 09:26 UTC (History)
10 users (show)

Fixed In Version: 5.8.0.10
Doc Type: Bug Fix
Doc Text:
Previously when upgrading Red Hat Virtualization providers from versions 3.x to 4.x, CloudForms sometimes attempted to access the Red Hat Virtualization API at /api, which caused provider refresh failures. To avoid this issue, the API path has been updated in this CloudForms release to use /ovirt-engine/api instead of /api. As a result, CloudForms connects to Red Hat Virtualization 3.5 and newer providers successfully; however, Red Hat Virtualization 3.4 environments are no longer supported.
Clone Of: 1427653
Environment:
Last Closed: 2017-05-31 15:05:14 UTC
Category: ---
Cloudforms Team: RHEVM
Target Upstream Version:


Attachments (Terms of Use)


Links
System ID Priority Status Summary Last Updated
Red Hat Product Errata RHSA-2017:1367 normal SHIPPED_LIVE Moderate: CFME 5.8.0 security, bug, and enhancement update 2017-05-31 18:16:03 UTC

Comment 3 Ilanit Stein 2017-05-11 11:57:21 UTC
Verified on CFME-5.8.0.14/RHV-3.6.8->4.0.7

rhevm.log contain only /ovirt-engine/api access. There is no /api access.

Steps:

Connect RHV-3.6 provider to CFME
Upgrade RHV to 4.0
On CFME UI the RHV provider credentails appeared as failed, and it was required to renew them, in order to be able to do a full refresh.

After that, full refresh worked just fine.

Comment 5 errata-xmlrpc 2017-05-31 15:05:14 UTC
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory, and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

https://access.redhat.com/errata/RHSA-2017:1367


Note You need to log in before you can comment on or make changes to this bug.